Kerbal Space Program - Bug #22700

Linux download archives contain MacOS files
05/31/2019 12:39 PM - Corax

Status: Resolved Start date: 05/31/2019
Severity: Low % Done: 100%
Assignee: ManeT]
Category: Spelling/Grammar/Localization
Target version: 1.9.1
Version: 1.7.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion: Breaking Ground, Core Game, Making

History
Description

The direct download archives from the KSP store contain unnecessary .DS_Store files

S find KSP/ —-iname .ds_store

KSP/GameData/.DS_Store
KSP/GameData/SquadExpansion/MakingHistory/.DS_Store
KSP/GameData/SquadExpansion/.DS_Store
KSP/GameData/SquadExpansion/Serenity/.DS_Store

Those files are not required on Linux (and as far as | can tell, also not strictly required on MacOS). Just a heads up to let you know,
and maybe include a simple
$ find KSP/ —-iname .ds_store —exec rm \{\} \;

in that cleanup script from issue #5990 ;)

History

#1 - 06/13/2019 05:10 PM - ManeTI

- Assignee set to ManeT]

#2 - 06/27/2019 11:24 PM - ManeTI
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 06/27/2019 11:26 PM - ManeTI

- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

- Version changed from 1.7.1t0 1.7.2

#4 - 03/10/2020 12:22 AM - ManeTI
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.9.1

- % Done changed from 30 to 80

Files have been excluded from the .zip

#5 - 11/25/2020 04:54 AM - ManeTI
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100
https://bugs.kerbalspaceprogram.com/issues/5990
http://www.tcpdf.org

